cutlass::transform::threadblock::PredicatedTileIterator2dThreadTile< Shape_, Element_, layout::PitchLinear, AdvanceRank, ThreadMap_, Transpose_ >::AccessType Struct Reference

`#include <predicated_tile_iterator_2dthreadtile.h>`

## Public Attributes

Array< Element, ThreadMap::kElementsPerAccess > | storage

## Static Public Attributes

static int const | kElements = ThreadMap::kElementsPerAccess

## Detailed Description

### template<typename Shape_, typename Element_, int AdvanceRank, typename ThreadMap_, bool Transpose_>
struct cutlass::transform::threadblock::PredicatedTileIterator2dThreadTile< Shape_, Element_, layout::PitchLinear, AdvanceRank, ThreadMap_, Transpose_ >::AccessType

Type used for internal memory accesses extra set of parenthesis is needed for VS compiler

## Member Data Documentation

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , bool Transpose_>

int const cutlass::transform::threadblock::PredicatedTileIterator2dThreadTile< Shape_, Element_, layout::PitchLinear, AdvanceRank, ThreadMap_, Transpose_ >::AccessType::kElements = ThreadMap::kElementsPerAccess

static

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , bool Transpose_>

Array<Element, ThreadMap::kElementsPerAccess> cutlass::transform::threadblock::PredicatedTileIterator2dThreadTile< Shape_, Element_, layout::PitchLinear, AdvanceRank, ThreadMap_, Transpose_ >::AccessType::storage

The documentation for this struct was generated from the following file:

- predicated_tile_iterator_2dthreadtile.h